Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202463 - nfs : dynamic netgroup/export authentication fails
Summary: nfs : dynamic netgroup/export authentication fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: nfs
Version: mainline
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 16:48 UTC by Jiffin
Modified: 2015-12-01 16:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-15 07:12:17 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Jiffin 2015-03-16 16:48:28 UTC
Description of problem:

When the export file is edited on the fly, then for proper working of netgroup/export authentication requires nfs-server restarts. 


How reproducible:
always

Steps to Reproduce:
1.create and start a volume.
2.edit export file (/var/lib/glusterd/nfs/exports) by adding localhost and volume name as entry
3.enable nfs.exports-auth-enable for that volume
4.mount the volume using ip mentioned in export file
5.umount it
6.edit the file again by removing the previous entry
7.try to mount the volume again. 

Actual results:
mount succeeded .

Expected results:
mount should fail

Additional info:


Note You need to log in before you can comment on or make changes to this bug.